E-MailRelay

Public Types | Public Member Functions | Public Attributes | List of all members
GPop::StoreLockEntry Class Reference

Represents a file in the GPop::Store. More...

`#include <gpopstore.h>`

## Public Types
using | Size = unsigned long

## Public Member Functions
| StoreLockEntry (int id_, Size size_, const std::string &uidl_)

## Public Attributes
int | id
Size | size
std::string | uidl

## Detailed Description

Represents a file in the GPop::Store.

See also
  GPop::StoreLock

Definition at line 83 of file gpopstore.h.

## Member Typedef Documentation

## ◆ Size

using GPop::StoreLockEntry::Size = unsigned long

Definition at line 87 of file gpopstore.h.

## Constructor & Destructor Documentation

## ◆ StoreLockEntry()

GPop::StoreLockEntry::StoreLockEntry | ( | int | id_,
|  | Size | size_,
|  | const std::string & | uidl_
| ) |  |
| inline

Definition at line 90 of file gpopstore.h.

## Member Data Documentation

## ◆ id

int GPop::StoreLockEntry::id

Definition at line 86 of file gpopstore.h.

## ◆ size

Size GPop::StoreLockEntry::size

Definition at line 88 of file gpopstore.h.

## ◆ uidl

std::string GPop::StoreLockEntry::uidl

Definition at line 89 of file gpopstore.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopstore.h